Bug 164915 - [67cat] org.netbeans.lib.ddl.DDLException: Unable to execute command: drop table "APP"."groups" Operation 'DROP CONSTRAINT' cannot be performed on object 'SQL090512101816021' because CONSTRAINT 'FK_USER_GROUP
[67cat] org.netbeans.lib.ddl.DDLException: Unable to execute command: drop ta...
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 09:40 UTC by aldobrucale
Modified: 2009-10-15 21:40 UTC (History)
13 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.44 KB, text/plain)
2009-05-12 09:40 UTC, aldobrucale
Details
stacktrace (1.48 KB, text/plain)
2009-05-12 15:00 UTC, Exceptions Reporter
Details
stacktrace (1.37 KB, text/plain)
2009-06-08 15:12 UTC, martin_zmrhal
Details
stacktrace (1.46 KB, text/plain)
2009-08-13 15:16 UTC, Petr Jiricka
Details
stacktrace (1.37 KB, text/plain)
2009-08-18 11:34 UTC, mohhmekk
Details
stacktrace (1.38 KB, text/plain)
2009-09-16 13:28 UTC, Alexander Permyakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aldobrucale 2009-05-12 09:40:54 UTC
Build: NetBeans IDE Dev (Build 200905111401)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-11-generic, i386

User Comments:
nigeleke1957: Deleting all tables from a DerbyClient controlled database via the Services tab.  Database had been connected to, Tables folder expanded, all tables selected and DEL key hit.

Had just finished debugging application which also accessed the database.  The exception appears to have occurred on the table object under test at the time.

I had been experimenting with the JPA @Table annotation to control the table name.  Had been getting exceptions (of my own creating) on createNamedQuery, where the query was based on the table name I want to use (Person) rather than the table name based on class name (PersonDao).

aldobrucale: tried to delete all tables from a db (with foreign key constraints which didn't allow to drop some of them in any order)

GUEST: Try to drop a table with a contraint gives an IDE error

bvansomeren: Trying to delete all the tables in a Derby database. (selected them all, and delete from context menu)
The tables were generated by Toplink (JPA)



Stacktrace: 
org.netbeans.lib.ddl.DDLException: Unable to execute command:
drop table "APP"."groups"
Operation 'DROP CONSTRAINT' cannot be performed on object 'SQL090512101816021' because CONSTRAINT 'FK_USER_GROUP' is dependent on that object.
        at org.netbeans.lib.ddl.impl.AbstractCommand.execute(AbstractCommand.java:241)
        at org.netbeans.modules.db.explorer.node.TableNode.destroy(TableNode.java:155)
        at org.openide.nodes.FilterNode.destroy(FilterNode.java:604)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.doDestroy(ExplorerActionsImpl.java:645)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.actionPerformed(ExplorerActionsImpl.java:595)
        at org.openide.util.actions.CallbackSystemAction$DelegateAction$1.run(CallbackSystemAction.java:593)
Comment 1 aldobrucale 2009-05-12 09:40:59 UTC
Created attachment 81942 [details]
stacktrace
Comment 2 Exceptions Reporter 2009-05-12 15:00:48 UTC
Build: NetBeans IDE 6.7 Beta (Build 200904242137)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.30-020630rc4-generic, amd64

User Comments: 


Stacktrace: 
org.netbeans.lib.ddl.DDLException: Unable to execute command:
drop table "SPRINGWEBAPPMVC"."STUDENTS"
Operacja 'DROP CONSTRAINT' nie mo?e by? wykonana na obiekcie 'SQL090512153806280', poniewa? instrukcja CONSTRAINT 'FK887AB4E733E5FEF8' jest zale?na od tego obiektu.
        at org.netbeans.lib.ddl.impl.AbstractCommand.execute(AbstractCommand.java:241)
        at org.netbeans.modules.db.explorer.node.TableNode.destroy(TableNode.java:155)
        at org.openide.nodes.FilterNode.destroy(FilterNode.java:604)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.doDestroy(ExplorerActionsImpl.java:645)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.actionPerformed(ExplorerActionsImpl.java:595)
        at org.openide.util.actions.CallbackSystemAction$DelegateAction$1.run(CallbackSystemAction.java:593)
Comment 3 Exceptions Reporter 2009-05-12 15:00:58 UTC
Created attachment 81969 [details]
stacktrace
Comment 4 Exceptions Reporter 2009-05-27 09:34:08 UTC
This issue already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=149769
Comment 5 martin_zmrhal 2009-06-08 15:11:58 UTC
Build: NetBeans IDE 6.7 RC1 (Build 200905282243)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
org.netbeans.lib.ddl.DDLException: Unable to execute command:
drop table "public"."vyrobce"
ERROR: cannot drop table vyrobce because other objects depend on it
        at org.netbeans.lib.ddl.impl.AbstractCommand.execute(AbstractCommand.java:241)
        at org.netbeans.modules.db.explorer.node.TableNode.destroy(TableNode.java:155)
        at org.openide.nodes.FilterNode.destroy(FilterNode.java:604)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.doDestroy(ExplorerActionsImpl.java:645)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.actionPerformed(ExplorerActionsImpl.java:595)
        at org.openide.util.actions.CallbackSystemAction$DelegateAction$1.run(CallbackSystemAction.java:593)
Comment 6 martin_zmrhal 2009-06-08 15:12:08 UTC
Created attachment 83322 [details]
stacktrace
Comment 7 Petr Jiricka 2009-08-13 15:16:23 UTC
Build: NetBeans IDE Dev (Build web-main-1363-on-090813)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02-83, Java(TM) SE Runtime Environment, 1.6.0_13-b03-211
OS: Mac OS X, 10.5.8, x86_64

User Comments: 
Deleting several (interconnected) tables at once in the JDBC explorer, Derby.


Stacktrace: 
org.netbeans.lib.ddl.DDLException: Unable to execute command:
drop table "APP"."PERSISTENCE_ORDER_VENDOR"
Operation 'DROP CONSTRAINT' cannot be performed on object 'SQL090813155957740' because CONSTRAINT 'PRSSTNCRDRVNDVNDRD' is dependent on that object.
        at org.netbeans.lib.ddl.impl.AbstractCommand.execute(AbstractCommand.java:241)
        at org.netbeans.modules.db.explorer.node.TableNode.destroy(TableNode.java:155)
        at org.openide.nodes.FilterNode.destroy(FilterNode.java:604)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.doDestroy(ExplorerActionsImpl.java:658)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.actionPerformed(ExplorerActionsImpl.java:608)
        at org.netbeans.modules.openide.util.ActionsBridge$ActionRunnable$1.run(ActionsBridge.java:108)
Comment 8 Petr Jiricka 2009-08-13 15:16:27 UTC
Created attachment 86201 [details]
stacktrace
Comment 9 mohhmekk 2009-08-18 11:34:07 UTC
Build: NetBeans IDE 6.7.1 (Build 200907230233)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Linux, 2.6.28-15-generic, i386

User Comments: 
delete a table from the database

Stacktrace: 
org.netbeans.lib.ddl.DDLException: Unable to execute command:
drop table "MPAYMENT"."OWNER"
ORA-02449: unique/primary keys in table referenced by foreign keys

        at org.netbeans.lib.ddl.impl.AbstractCommand.execute(AbstractCommand.java:241)
        at org.netbeans.modules.db.explorer.node.TableNode.destroy(TableNode.java:155)
        at org.openide.nodes.FilterNode.destroy(FilterNode.java:604)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.doDestroy(ExplorerActionsImpl.java:658)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.actionPerformed(ExplorerActionsImpl.java:608)
        at org.openide.util.actions.CallbackSystemAction$DelegateAction$1.run(CallbackSystemAction.java:593)
Comment 10 mohhmekk 2009-08-18 11:34:12 UTC
Created attachment 86387 [details]
stacktrace
Comment 11 Jiri Rechtacek 2009-08-21 12:09:57 UTC
I'm investigating what's wrong.
Comment 12 Jiri Rechtacek 2009-08-21 14:15:44 UTC
core-main/rev/a7c6e1830a22 
The exceptions dialogs won't jump anymore. Nevertheless the depending table cannot be dropping still because existing
constraints on any its column.
Comment 13 Quality Engineering 2009-08-22 06:29:47 UTC
Integrated into 'main-golden', will be available in build *200908220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a7c6e1830a22
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #164915: [67cat] org.netbeans.lib.ddl.DDLException: Unable to execute command: drop table "APP"."groups" Operation 'DROP CONSTRAINT' cannot be performed on object 'SQL090512101816021' because CONSTRAINT 'FK_USER_GROUP
Comment 14 Alexander Permyakov 2009-09-16 13:28:40 UTC
Build: NetBeans IDE 6.7.1 (Build 200907230101)
VM: Java HotSpot(TM) Client VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
org.netbeans.lib.ddl.DDLException: Unable to execute command:
drop table `minerva`.`courses`
Cannot delete or update a parent row: a foreign key constraint fails
        at org.netbeans.lib.ddl.impl.AbstractCommand.execute(AbstractCommand.java:241)
        at org.netbeans.modules.db.explorer.node.TableNode.destroy(TableNode.java:155)
        at org.openide.nodes.FilterNode.destroy(FilterNode.java:604)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.doDestroy(ExplorerActionsImpl.java:658)
        at org.openide.explorer.ExplorerActionsImpl$DeleteActionPerformer.actionPerformed(ExplorerActionsImpl.java:608)
        at org.openide.util.actions.CallbackSystemAction$DelegateAction$1.run(CallbackSystemAction.java:593)
Comment 15 Alexander Permyakov 2009-09-16 13:28:59 UTC
Created attachment 87766 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo